##########################################################################
# Copyright 1992 to 1999 MBARI                                            
##########################################################################
# Summary  : Makefile for QNX applications 
# Filename : Makefile
# Author   : Andrew Pearce
# Project  : 
# Version  : Version 1.0
# Created  : 03/24/98
# Modified : 03/24/99
# Archived :
##########################################################################
# Modification History:
# $Header$
# $Log$
#
##########################################################################

CC	    = cc
LD	    = wlink

DEBUG 	    = -g

CFLAGS      = $(DEBUG) $(OPTIMIZE) -DQNX $(INCLUDES) -c \
              '-DINCLUDEDIR="/usr/include"'

INCLUDES    = -I. -I/usr/include           

LDFLAGS     = FORMAT QNX DEBUG ALL OPTION STACK=16384
LIBPATH	    = /usr/lib
LIBS 	    =
	      
PROGRAM	    = makedepend

SRCS	    = include.c main.c parse.c pr.c cppsetup.c

CC_SRCS     = 

OBJS	    = $(SRCS:.c=.o) $(CC_SRCS:.cc=.o)

all:          $(PROGRAM)

$(PROGRAM):   $(OBJS) $(LIBS) Makefile
	      echo "building " $@
	      $(LD) NAME $(PROGRAM) \
	        $(LDFLAGS) LIBPATH $(LIBPATH) FILE {$(OBJS)}
 
##########################################################################
# Do not modify anything below this line unless absolutely necessary

%.o: %.c
	    $(CC) $(CFLAGS) $< -o $@	

DEST	    = .

INSTALL     = install

MAKEFILE    = Makefile

echo:;        @echo $(PROGRAM) from $(SRCS) $(CC_SRCS)

clean:
	      rm -f $(PROGRAM) $(OBJS) $(OBJS:.o=.d)

get_release:


put_release:

##########################################################################







# DO NOT DELETE THIS LINE -- make depend depends on it.
